using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SanSystem.Einstellungen
{
    class ObjecteListSetting : Settings
    {
        public ObjecteListSetting() : base("ObjecteList") { }

        public override int GetWidth(DataGridViewColumn dataGridViewColumn)
        {
            int result = -1;
            
            try
            {
                result = getConfiguration(dataGridViewColumn.HeaderText);
            }
            catch(Exception )
            {
                result = 20;
            }
            
            return result;
        }
        public override void SetWidth(DataGridViewColumn dataGridViewColumn)
        {
            setConfig(dataGridViewColumn.HeaderText, dataGridViewColumn.Width);
        }

        public override void InitDevValues()
        {
            // Hausnummer
            // Von punkt
            // Bis punkt
            // Haltungslänge
            configuration.Add("Auswahl", 20);
            configuration.Add("Hausnummer", 40);
            configuration.Add("VonPunkt", 100);
            configuration.Add("BisPunkt", 100);
            configuration.Add("Haltungslaenge", 40);
        }

       
    }
}
